[Wine] Wine latest install fail (mac)

ryan woodsmall rwoodsmall at mac.com
Wed Mar 17 19:24:25 CDT 2010

> I'm currently running OS 10.5 with xcode version 3.1.4.
> The current version of openAL that is installed is the PowerPC version (why this is I have no clue, it may have happened when I first transferred some stuff over from my old G4). I tried running the .dmg and .pkg from creative and that hasn't helped what so ever...

That won't work, the Creative-supplied version probably broke things further.  There are probably two versions of the OpenAL framework on your computer now, the Mac OS X-supplied universal build and the Creative-supplied PPC-only build.  Run the following in a terminal:

ls -ald {/System,}/Library/Frameworks/OpenAL.framework
file {/System,}/Library/Frameworks/OpenAL.framework/OpenAL

The /System/Library/Frameworks/OpenAL.framework directory is the Mac OS X-supplied version, and the one you want to keep.  If you have a framework in /Library/System/Framework, this is probably the wrong one.  You can move it with:

sudo mv /Library/Frameworks/OpenAL.framework{,.disabled}

Don't install the Creative package.  It won't work since it's PPC-only and not required on 10.5+.

More information about the wine-users mailing list